### Enumeration

# Qmi LocNmeaType

since: 1.26

#### Declaration

    flags Qmi.LocNmeaType

#### Description [src]

NMEA trace types that may be enabled in the GNSS engine.

Available since: 1.26

#### Members

`QMI_LOC_NMEA_TYPE_GGA`

  Enable GGA traces.

  - Value: `1`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_RMC`

  Enable RMC traces.

  - Value: `2`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_GSV`

  Enable GSV traces.

  - Value: `4`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_GSA`

  Enable GSA traces.

  - Value: `8`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_VTG`

  Enable VTG traces.

  - Value: `16`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_PQXFI`

  Enable PQXFI traces.

  - Value: `32`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_PSTIS`

  Enable PSTIS traces.

  - Value: `64`
  - Available since: 1.26
`QMI_LOC_NMEA_TYPE_ALL`

  Enable all supported trace types.

  - Value: `65535`
  - Available since: 1.26

#### Type functions

###### qmi_loc_nmea_type_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiLocNmeaType` in `mask`.

since: 1.26